echo "all: $1.hex

$1.elf: $1.c
	avr-gcc -mmcu=atmega324a -Os -Wall -o $1.elf $1.c

$1.hex: $1.elf
	avr-objcopy  -j .text -j .data -O ihex $1.elf $1.hex
	avr-size $1.elf

clean:
	rm -rf $1.elf $1.hex
" > Makefile

make && sudo ../bootloadHID.2014-03-29/commandline/bootloadHID $1.hex
